package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/correlation:CorrelationChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/chart_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_info/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/chart_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Preview",
            Router: `/chart_info/preview`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Relation",
            Router: `/chart_info/relation`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:ClassifyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/tag/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/tag/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "DeleteCheck",
            Router: `/tag/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/tag/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/tag/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "VarietyEdbList",
            Router: `/tag/variety_edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:TagController"],
        beego.ControllerComments{
            Method: "SaveVarietyEdb",
            Router: `/tag/variety_edb/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/variety/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/variety/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "DeleteCheck",
            Router: `/variety/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/variety/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/cross_variety:VarietyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/variety/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "AddEdb",
            Router: `/edb/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "EditEdb",
            Router: `/edb/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "EdbList",
            Router: `/edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "EdbRefresh",
            Router: `/edb/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "BaseExcelDetail",
            Router: `/excel/base`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "ExcelDataList",
            Router: `/excel/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "ExcelByName",
            Router: `/excel_by_name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:CustomAnalysisController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "AddExcelClassify",
            Router: `/excel_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "DeleteExcelClassify",
            Router: `/excel_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "DeleteExcelClassifyCheck",
            Router: `/excel_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "EditExcelClassify",
            Router: `/excel_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "ExcelClassifyItems",
            Router: `/excel_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/excel_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelClassifyController"],
        beego.ControllerComments{
            Method: "ExcelClassifyMove",
            Router: `/excel_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/excel_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetBaseEdbInfo",
            Router: `/excel_info/base_edb_info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/excel_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/excel_info/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/excel_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "AddDraft",
            Router: `/excel_info/draft/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/excel_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetSystemDate",
            Router: `/excel_info/get_system_date`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/excel_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/excel_info/mark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "CalculateData",
            Router: `/excel_info/mixed/calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetMixDateCalculate",
            Router: `/excel_info/mixed/date_calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Move",
            Router: `/excel_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "BatchRefresh",
            Router: `/excel_info/table/batch_refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetBatchChartRefreshResult",
            Router: `/excel_info/table/batch_refresh/result`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Calculate",
            Router: `/excel_info/table/calculate`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Download",
            Router: `/excel_info/table/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetFirstEdbData",
            Router: `/excel_info/table/first_edb_data_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetFutureDateData",
            Router: `/excel_info/table/future_date_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetHistoryDateData",
            Router: `/excel_info/table/history_date_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetOtherEdbData",
            Router: `/excel_info/table/other_edb_data_list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/excel_info/table/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/excel:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetExcelTableData",
            Router: `/excel_info/table_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "CopyChartInfo",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoRefresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSave",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/future_good:FutureGoodChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_equation:LineEquationChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyList",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "Copy",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "EnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/chart_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "Refresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage/line_feature:LineFeaturesChartInfoController"],
        beego.ControllerComments{
            Method: "SearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/chart_classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/chart_classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/chart_classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyListV2",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/chart_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoBase64Upload",
            Router: `/chart_info/base64Upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "BatchChartInfoRefresh",
            Router: `/chart_info/batch_refresh`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CommonChartInfoDetailFromUniqueCode",
            Router: `/chart_info/common/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CopyChartInfo",
            Router: `/chart_info/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetail",
            Router: `/chart_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoEdbInfoDetail",
            Router: `/chart_info/edb_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartEnInfoEdit",
            Router: `/chart_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoImageSet",
            Router: `/chart_info/image/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoMove",
            Router: `/chart_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoRefresh",
            Router: `/chart_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSave",
            Router: `/chart_info/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSearchByEs",
            Router: `/chart_info/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateBatchEdit",
            Router: `/edb_info/calculate/batch/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateBatchReset",
            Router: `/edb_info/calculate/batch/reset`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateBatchSave",
            Router: `/edb_info/calculate/batch/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "BatchCalculateBatchSave",
            Router: `/edb_info/calculate/batch/save/batch`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateComputeCorrelation",
            Router: `/edb_info/calculate/compute_correlation`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateDetail",
            Router: `/edb_info/calculate/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateEdit",
            Router: `/edb_info/calculate/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CalculateSave",
            Router: `/edb_info/calculate/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoData",
            Router: `/edb_info/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoDataSeasonal",
            Router: `/edb_info/data/seasonal`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoDataTb",
            Router: `/edb_info/data/tb`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoReplace",
            Router: `/edb_info/replace`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "AddEdbClassify",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "DeleteEdbClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "DeleteEdbClassifyCheck",
            Router: `/classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "EditEdbClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ItemsV3",
            Router: `/classify/items/v3`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "SimpleList",
            Router: `/classify/simple`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbClassifyController"],
        beego.ControllerComments{
            Method: "EdbClassifyMove",
            Router: `/edb_classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "GetBatchChartRefreshResult",
            Router: `/chart_info/batch_refresh/result`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoAdd",
            Router: `/edb_info/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoBatchAdd",
            Router: `/edb_info/batch/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbChartList",
            Router: `/edb_info/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "GetEdbDateData",
            Router: `/edb_info/date_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoDetail",
            Router: `/edb_info/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoEdit",
            Router: `/edb_info/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbEnInfoEdit",
            Router: `/edb_info/en/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoExistCheck",
            Router: `/edb_info/exist/check`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoFilterByEs",
            Router: `/edb_info/filter_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "AllEdbInfoByEs",
            Router: `/edb_info/filter_by_es/all`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "ChartImageSet",
            Router: `/edb_info/image/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "SetEdbDataInsertConfig",
            Router: `/edb_info/insert_config/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoList",
            Router: `/edb_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "Modify",
            Router: `/edb_info/modify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoMove",
            Router: `/edb_info/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoNewest",
            Router: `/edb_info/newest`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoRefresh",
            Router: `/edb_info/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoAllRefresh",
            Router: `/edb_info/refresh/all`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "RelationChartList",
            Router: `/edb_info/relation/chart_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "RelationEdbList",
            Router: `/edb_info/relation/edbinfo_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoReplaceCheck",
            Router: `/edb_info/replace/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbInfoSearch",
            Router: `/edb_info/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "TraceEdbInfo",
            Router: `/edb_info/trace`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbSourceList",
            Router: `/edb_source/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartAdd",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartAddToClassify",
            Router: `/add_to_classify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ChartList",
            Router: `/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "Locate",
            Router: `/chart/locate`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ChartRecommendList",
            Router: `/chart/recommend/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyAdd",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "CopyClassifyAndChart",
            Router: `/classify/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyDelete",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyEdit",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyFrameworkNodeList",
            Router: `/classify/framework_node_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ModifyClassifyPublicStatus",
            Router: `/classify/modify_public`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "ClassifyMove",
            Router: `/classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "PublicClassifyList",
            Router: `/classify/public_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartDelete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartEdit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "GetMyChartClassifyIdList",
            Router: `/get_mychart_classify_id_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartList",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartMove",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartSearch",
            Router: `/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:MyChartController"],
        beego.ControllerComments{
            Method: "MyChartSearchByEs",
            Router: `/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/data_manage:PredictEdbInfoController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/predict_edb_info/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnPermissionController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnPermissionController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishCompanyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishCompanyController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/company/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "CancelApprove",
            Router: `/approve/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "SubmitApprove",
            Router: `/approve/submit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Author",
            Router: `/author`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "DelClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "ClassifyIdDetail",
            Router: `/classifyIdDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "EditPolicy",
            Router: `/edit_policy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/mark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "PrePublishReport",
            Router: `/pre_publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "PublishReport",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "PublishCancleReport",
            Router: `/publish/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportController"],
        beego.ControllerComments{
            Method: "SaveReportContent",
            Router: `/saveReportContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/email/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "LogList",
            Router: `/email/log_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "Resend",
            Router: `/email/resend`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/english_report:EnglishReportEmailController"],
        beego.ControllerComments{
            Method: "Send",
            Router: `/email/send`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/report_approve:ReportApproveController"],
        beego.ControllerComments{
            Method: "CheckApproveOpen",
            Router: `/classify/check_open`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/sandbox:SandboxController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/sandbox:SandboxController"],
        beego.ControllerComments{
            Method: "ListByQuote",
            Router: `/list_by_quote`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers/semantic_analysis:SaCompareController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers/semantic_analysis:SaCompareController"],
        beego.ControllerComments{
            Method: "Search",
            Router: `/compare/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfController"],
        beego.ControllerComments{
            Method: "Fetch",
            Router: `/fetch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfOpenController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:BusinessConfOpenController"],
        beego.ControllerComments{
            Method: "CodeEncrypt",
            Router: `/code_encrypt`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ClassifyController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"],
        beego.ControllerComments{
            Method: "Download",
            Router: `/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptCommonController"],
        beego.ControllerComments{
            Method: "Downloadpptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "AddPptPages",
            Router: `/addPptPages`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "GetImages",
            Router: `/getImages`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptController"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishCommonController"],
        beego.ControllerComments{
            Method: "DownloadPptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "Grant",
            Router: `/grant`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "CancelGrant",
            Router: `/grant/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "GrantInfo",
            Router: `/grant/info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "SaveLog",
            Router: `/saveLog`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "CopyPpt",
            Router: `/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GrantPptList",
            Router: `/grant/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "AddGroup",
            Router: `/group/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "CopyGroup",
            Router: `/group/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "DeleteGroup",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "MoveGroup",
            Router: `/group/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupNameList",
            Router: `/group/name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupPptList",
            Router: `/group/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SearchGroupPptList",
            Router: `/group/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "RenameGroup",
            Router: `/group/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "ShareGroup",
            Router: `/group/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupList",
            Router: `/groups`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "MoveGroupPpt",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "PptList",
            Router: `/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SharePpt",
            Router: `/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SharePptList",
            Router: `/share/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2CommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2CommonController"],
        beego.ControllerComments{
            Method: "DownloadPptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "BatchToEn",
            Router: `/batchToEn`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "Grant",
            Router: `/grant`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "CancelGrant",
            Router: `/grant/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "GrantInfo",
            Router: `/grant/info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "SaveLog",
            Router: `/saveLog`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "ToEn",
            Router: `/toEn`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "CopyPpt",
            Router: `/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GrantPptList",
            Router: `/grant/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "AddGroup",
            Router: `/group/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "CopyGroup",
            Router: `/group/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "DeleteGroup",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "MoveGroup",
            Router: `/group/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupNameList",
            Router: `/group/name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupPptList",
            Router: `/group/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SearchGroupPptList",
            Router: `/group/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "RenameGroup",
            Router: `/group/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "ShareGroup",
            Router: `/group/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupList",
            Router: `/groups`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "MoveGroupPpt",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "PptList",
            Router: `/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SharePpt",
            Router: `/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SharePptList",
            Router: `/share/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "CheckDayWeekReportChapterVideo",
            Router: `/CheckDayWeekReportChapterVideo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AddDayWeekReport",
            Router: `/addDayWeekReport`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "CancelApprove",
            Router: `/approve/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SubmitApprove",
            Router: `/approve/submit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Author",
            Router: `/author`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ClassifyIdDetail",
            Router: `/classifyIdDetail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditChapterTrendTag",
            Router: `/editChapterTrendTag`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditDayWeekChapter",
            Router: `/editDayWeekChapter`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "EditDayWeekReport",
            Router: `/editDayWeekReport`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetChapterTrendTag",
            Router: `/getChapterTrendTag`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayReportTickerList",
            Router: `/getDayReportTickerList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetDayWeekChapter",
            Router: `/getDayWeekChapter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetLastDayWeekReportChapter",
            Router: `/getLastDayWeekReportChapter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetReportChapterList",
            Router: `/getReportChapterList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetStopDayWeekReportChapterTypeList",
            Router: `/getStopDayWeekReportChapterTypeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "GetSunCode",
            Router: `/getSunCode`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "IsLastDayWeekReportChapter",
            Router: `/isLastDayWeekReportChapter`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "MarkEditStatus",
            Router: `/mark`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PrePublishReport",
            Router: `/pre_publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishReport",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishCancleReport",
            Router: `/publish/cancle`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishDayWeekReport",
            Router: `/publishDayWeekReport`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "PublishDayWeekReportChapter",
            Router: `/publishDayWeekReportChapter`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SaveReportContent",
            Router: `/saveReportContent`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "SendMsg",
            Router: `/sendMsg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportUploadCommonController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ReportUploadCommonController"],
        beego.ControllerComments{
            Method: "UploadImg",
            Router: `/uploadImg`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/image/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "UploadV2",
            Router: `/image/uploadV2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "OssSTSToken",
            Router: `/oss/get_sts_token`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "WechatWarning",
            Router: `/public/wechat_warning`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "UploadImageBase64",
            Router: `/upload_image_base64`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "VideoUpload",
            Router: `/video/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "VoiceUpload",
            Router: `/voice/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"],
        beego.ControllerComments{
            Method: "ConfigLanguage",
            Router: `/config/language`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysAdminController"],
        beego.ControllerComments{
            Method: "SetConfig",
            Router: `/sysuser/config/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysMenuController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysMenuController"],
        beego.ControllerComments{
            Method: "SysMenuList",
            Router: `/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SystemConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "ButtonList",
            Router: `/role/menu/buttons`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserAuthController"],
        beego.ControllerComments{
            Method: "CheckPwd",
            Router: `/check_pwd`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "AreaCodeList",
            Router: `/area_code/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ForgetAccountGet",
            Router: `/forget/account_get`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ForgetCodeVerify",
            Router: `/forget/code_verify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ForgetResetPass",
            Router: `/forget/reset_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "GenerateCaptcha",
            Router: `/get_captcha`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "ICPLicense",
            Router: `/icp_license`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "CheckUserLdap",
            Router: `/ldap/user_check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"] = append(beego.GlobalControllerRouter["eta/eta_mobile/controllers:UserLoginController"],
        beego.ControllerComments{
            Method: "GetVerifyCode",
            Router: `/verify_code`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
